/*
   Ŀ
                                                                             
     CXLXWIN.H  -  1989 by Dennis McCabe                                     
                                                                             
     This header file contains function prototypes and definitions for       
     exploding windowing functions.                                          
                                                                             
   
*/

#if defined(__TURBOC__)                     /* Turbo C */
    #if __STDC__
        #define _Cdecl
    #else
        #define _Cdecl  cdecl
    #endif
    #define _Near
#elif defined(__ZTC__)                      /* Zortech C++ */
    #define _Cdecl
    #define _Near
#elif defined(M_I86) && !defined(__ZTC__)   /* Microsoft C/QuickC */
    #if !defined(NO_EXT_KEYS)
        #define _Cdecl  cdecl
        #define _Near   near
    #else
        #define _Cdecl
        #define _Near
    #endif
#elif defined(__POWERC__)                   /* Power C */
    #define _Cdecl
    #define _Near
#endif

/*---------------------------[ function prototypes ]-------------------------*/
WINDOW   _Cdecl wxopen(int srow,int scol,int erow,int ecol,int btype,int battr,
                      int wattr);
int      _Cdecl wxclose(void);

struct _wxrec_t {
    struct _wxrec_t *prev;
    struct _wxrec_t *next;
    unsigned char   wxnum;
    int             wxtone;
    };

struct _wxinfo_t {
    struct _wxrec_t *active;
    unsigned char   total;
    };
extern struct _wxinfo_t _Near _Cdecl _wxinfo;


